Limit for Customer
curl --request GET \
--url https://waas-staging.embedly.ng/api/v1/limits/product/{productId}/currency/{currencyId}/customer/{customerId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"productId": "<string>",
"currencyId": "<string>",
"customerId": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/limits/product/{productId}/currency/{currencyId}/customer/{customerId}"
payload = {
"productId": "<string>",
"currencyId": "<string>",
"customerId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({productId: '<string>', currencyId: '<string>', customerId: '<string>'})
};
fetch('https://waas-staging.embedly.ng/api/v1/limits/product/{productId}/currency/{currencyId}/customer/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Limit for Customer
The endpoint allows you to retrieve limits for a specific product and currency for a given customer.
GET
/
limits
/
product
/
{productId}
/
currency
/
{currencyId}
/
customer
/
{customerId}
Limit for Customer
Path Parameters
string
required
The unique identifier for the product associated with the limit.
string
required
The unique identifier for the currency (e.g., “USD”, “EUR”).
string
required
The unique identifier for the customer to whom the limit applies.
Response
✅ Success ResponseStatus Code: 200 OK
{
"code": "00",
"success": true,
"message": "Retrieved successfully",
"data": {
"id": "a529a0c8-ff67-11ef-a8a9-6045bd97b81d",
"productCurrencyId": "a529a0c8-ff67-11ef-a8a9-6045bd97b81d",
"singleTransactionLimit": 10000000,
"frequency": 10000,
"dailyTransactionLimit": 500000000,
"monthlyTransactionLimit": 500000000,
"customerId": "08dd5d6c-a9b4-452d-8872-4ada3d46b506"
}
}
❌ Error Responses
- **Status Code**: **400 Bad Request**
{
"code": "-3",
"success": false,
"message": "Currency not found",
"data": null
}